#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	int s[10000],i,n,k=2;
	cin>>n;
	s[0]=1;
	s[1]=1;
	for(i=2;i<=n-1;i++){
		s[i]=s[i-1]+s[i-2];
		k=k+s[i];
	}
	cout<<k;
	
	
	return 0;
	
}
